Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.iso.fs
Class CardFileReader

    java.lang.Object
      java.io.Reader
          java.io.InputStreamReader
              opencard.opt.iso.fs.CardFileReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.Readable

    public class CardFileReader

extends java.io.InputStreamReader

`CardFileReader` is a subclass of `InputStreamReader` that can be used to read text data from a `CardFile`. The constructor of this class assumes that the default character encoding and the default byte-buffer size are appropriate.

Version:
  $Id: CardFileReader.java,v 1.2 1999/11/03 12:37:17 damke Exp $
Author:
  Peter Trommler (trp@zurich.ibm.com)
See Also:
  `FileReader`, `CardFile`, `CardFileInputStream`

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`CardFileReader(CardFile file)` Instantiate a `CardFileReader` for the specified `CardFile` object.

Method Summary

Methods inherited from class java.io.InputStreamReader
`close, getEncoding, read, read, ready`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CardFileReader

    public CardFileReader(CardFile file)
                   throws java.io.IOException,
                          CardTerminalException

  Instantiate a `CardFileReader` for the specified `CardFile` object.

  Parameters:
    `file` - The `CardFile` object to read from.
  Throws:
    `java.io.IOException` - Thrown if the file is not found or file type does not match.
    `CardTerminalException` - Thrown when the smart card has been removed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD